"""
.. protocol intro

Protocol
=========================

This module implements a Flask-based webservice which
communicates with clients over HTTP.
Responses to valid requests are returned as JSON messages.
The server will therefore return an error unless
``application/json`` is in the ``Accept`` request header field.

HTTP communication and JSON grammar details are
beyond the scope of this document.
Please refer to `RFC 2616 <https://tools.ietf.org/html/rfc2616>`_
and www.json.org for more details.

.. contents:: :local:


.. automodule:: inventory_provider.routes.default

.. automodule:: inventory_provider.routes.classifier

.. automodule:: inventory_provider.routes.poller

.. automodule:: inventory_provider.routes.msr

.. automodule:: inventory_provider.routes.lg

.. automodule:: inventory_provider.routes.lnetd

.. automodule:: inventory_provider.routes.data

.. automodule:: inventory_provider.routes.jobs

.. automodule:: inventory_provider.routes.neteng

"""
