from setuptools import setup, find_packages

setup(
    name='inventory-provider',
    version="0.140",
    author='GEANT',
    author_email='swd@geant.org',
    description='Dashboard inventory provider',
    url=('https://gitlab.geant.net/live-projects'
         '/dashboardv3/inventory-provider'),
    packages=find_packages(),
    install_requires=[
        'click',
        'mysql-connector',
        'pyasn1==0.4.8',
        'pysnmp==4.4.12',
        'jsonschema',
        'paramiko',
        'flask',
        'flask-cors',
        'redis',
        'kombu',
        'vine',
        'celery',
        'junos-eznc',
        'ncclient',
        'lxml==4.9.4',
        'requests',
        'netifaces',
        'tree-format',
        'sentry-sdk[flask,celery]'
    ],
    entry_points={
        'console_scripts': [
            'monitor-tasks=inventory_provider.tasks.monitor:run'
        ]
    },
    include_package_data=True,
    license='MIT',
    license_files=('LICENSE.txt',),
    classifiers=[
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Development Status :: 5 - Production/Stable'
    ],
    python_requires='>=3.6'
)
